Subject: Re: [ANNOUNCE] ugit: a pyqt-based git gui // was: Re: If you would write git from scratch now, what would you change?

From: Brett Schwarz <[email-masked]>
Date: Wed, 12 Dec 2007 12:20:13 -0800 (PST)

Not to belabor the point, but just some comments, since this seems
to come up often enough...

> Jason Sewall <[email-masked]> wrote:
> > I don't know much about graphical toolkits and the like, but I think
> > that the more modern ones have fancy features like antialiasing and
> > subpixel rendering, which makes a big difference when you're working
> > on a laptop with a tiny screen.
>
> Oh, that's a good point.  On my Mac OS X system with the aqua port
> of Tk the fonts render just as good as anything else on this box.
> I guess the Aqua port of Tk is just better than the X11 port of
> Tk is.  :)
>

Yes, it is a known issue that Tk on unix still has the "old look"
out of the box. Some of this is just due to how the defaults
for some of the options are shipped. The default options for 8.5
have changed, so it is a little better, but Tile is really better.

The same with fonts. Anti-aliased fonts for unix have not been
supported, but in 8.5 they are.

8.5 is due out by the end of this week I believe.

> > The qt stuff fits better with the rest of my system better too (even
> > though I'm using gnome) - it's entirely the result of Tk being
> > lightweight and a million years old, when UI conventions were
> > different (like every menu being detachable, and antique scrollbars).
> > I'm not here to start a toolkit flame war (we had a toolkit dogpile on
> > the list last week, I think) I'm just pointing out that Tk is from a
> > different era.
>
> Yes.  The tile extension in 8.5 should actually improve this quite
> a bit; as I understand it there is a GTK backend for Tk with that
> set of extensions, making the UI look more modern on X11, assuming
> GTK was available when Tk was compiled, etc...
>

Tile will ship with 8.5, but it is also an extension that can be used
with 8.4.

Here's some screenshots to give you an example of Tk with Tile with
Qt theme (add-on theme).

http://personal1.iddeo.es/andresgarci/getleft/english/snaps.html

http://sk1project.org/modules.php?name=Products&product=sk1
(scroll down towards bottom)

and generic Tile screenshots:
http://tktable.sourceforge.net/tile/screenshots/unix.html

> I have yet to make git-gui use the tile extension.  Its however
> planned to happen in the near-ish future.
>
> > I use git-gui and gitk for my git graphical needs because they rock
> > and at the end of the day, the fonts and antialiasing aren't that big
> > of a deal, especially since I'm usually doing quick scans and searches
> > over the information those tools display, not reading novels in them.
>
> Good points.  Features win over pretty most of the time.  But at
> some point pretty is important; especially to new user adoption.
> Plus if you are looking at it all day long it shouldn't be jarring
> to the eyes.  But git-gui still isn't even where I want it ot
> be feature-wise.  E.g. I'd *love* to teach it inotify support,
> so you don't even need to have that Rescan button.

I have not used it, but this may help in regards to the
inotify stuff: 

    http://wiki.tcl.tk/3643

Cheers,
    --brett

      ____________________________________________________________________________________
Be a better friend, newshound, and 
know-it-all with Yahoo! Mobile.  Try it now.  http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ